Bug 683573 - kickstart with PVs on md with growable members refuses to create LVs
Summary: kickstart with PVs on md with growable members refuses to create LVs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 15
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:e981b7975b995d21f...
Depends On:
Blocks: F15Beta, F15BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2011-03-09 18:21 UTC by David Lehman
Modified: 2011-03-16 04:06 UTC (History)
1 user (show)

Fixed In Version: anaconda-15.22-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of: 677915
Environment:
Last Closed: 2011-03-16 04:06:39 UTC


Attachments (Terms of Use)

Description David Lehman 2011-03-09 18:21:43 UTC
+++ This bug was initially created as a clone of Bug #677915 +++

The following was filed automatically by anaconda:
anaconda 13.21.82 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devices.py", line 2058, in _addLogVol
    raise DeviceError("new lv is too large to fit in free space", self.name)
  File "/usr/lib/anaconda/storage/devices.py", line 2258, in __init__
    self.vg._addLogVol(self)
  File "/usr/lib/anaconda/storage/__init__.py", line 777, in newLV
    return LVMLogicalVolumeDevice(name, vg, *args, **kwargs)
  File "/usr/lib/anaconda/kickstart.py", line 516, in execute
    percent=self.percent)
  File "/usr/lib/anaconda/kickstart.py", line 1149, in execute
    obj.execute(self.anaconda)
  File "/usr/bin/anaconda", line 1102, in <module>
    ksdata.execute()
DeviceError: ('new lv is too large to fit in free space', 'sysvg1')

--- Additional comment from dlehman@redhat.com on 2011-03-01 22:50:44 EST ---

We added code to storage.devices.LVMVolumeGroupDevice._addLogVol for the special case of a VG whose PVs' sizes are not yet determined due to growable partition requests. Evidently we need to beef that up. It currently only handles PVs that are growable partitions -- it needs to handle PVs that are on any device comprised of or built on growable partitions.

Comment 1 David Lehman 2011-03-09 19:07:43 UTC
Fixed for Fedora 15 in anaconda-15.22-1.

Comment 2 Fedora Update System 2011-03-09 21:55:22 UTC
anaconda-15.22-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/anaconda-15.22-1.fc15

Comment 3 James Laska 2011-03-11 19:40:55 UTC
Discussed at 2011-03-11 blocker review meeting.  This issue is fixed and available for testing in anaconda-15.22-1.  The issue has been accepted as a beta blocker.

Comment 4 Fedora Update System 2011-03-16 04:06:00 UTC
anaconda-15.22-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.